maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Suranga Kasthurirathne <suranga...@gmail.com>
Subject Problem managing multiple versions of the same dependency via patient - child poms
Date Mon, 23 Sep 2013 15:12:03 GMT
Hi,

I apologize in advance if this email contains sketchy / incomplete details.
I'm not really a maven expert, and would love any advice that would be
helpful.

I'm  a volunteer for a open source product which uses a modular
architecture. We have a core project (supported by maven). Users can write
their own modules (also supported by maven) to add the custom features that
they require, and load them onto the OpenMRS core.

Now in maven, if we declare multiple versions of the same dependency in the
pom, maven automatically uses the very latest version of the given
dependency.

However, I am having trouble trying to replicate this by overriding a core
dependency via a module.
Assuming that the project trunk uses version 1.0 of jar A, and I want to
write a module that requires version 2.0 of the same jar, how can I add
this dependency to the pom file of a module, and make maven use the more
recent dependency declared in the pom file of the module ? At the moment,
what happens when I try this is both versions of the jar get loaded, and a
casting error occurs.

Any advice on how to manage this would be very much appreciated !


Best Regards,
Suranga

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message